# class AsnObject | Base Class for ASN.1 objects. More...
Contains pure virtuals
Full name | `TelEngine::AsnObject`
Definition | `#include <libs/yasn/yateasn.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline AsnObject ()
- inline AsnObject (const AsnObject& original)
- virtual inline ~AsnObject ()
- virtual int decode (DataBlock& data)
- virtual int encode (DataBlock& data)
- virtual void getParams (NamedList* params)
- virtual void setParams (NamedList* params)

## Detailed Description

Abstract class implemented by all ASN.1 type objects

inline AsnObject () | ### AsnObject

Constructor

inline AsnObject (const AsnObject& original) | ### AsnObject

Copy constructor

Parameters:

original | Value object to copy

inline ~AsnObject () | ### ~AsnObject

[virtual]

Destructor

int decode (DataBlock& data) | ### decode

[pure virtual]

Function to decode the parameters of this object from given data

Parameters:

data | DataBlock from which the object is decoded

int encode (DataBlock& data) | ### encode

[pure virtual]

Function to encode this object into a datablock

Parameters:

data | The DataBlock in which the object should be encoded

void getParams (NamedList* params) | ### getParams

[pure virtual]

Function for obtaining this object's data

Parameters:

params | NamedList in which this object's data should be put

void setParams (NamedList* params) | ### setParams

[pure virtual]

Function for setting this object's data

Parameters:

params | NamedList containing the values to which this object's data should be set

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.